> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get distribution request



## OpenAPI

````yaml /openapi.json get /distribution-requests/{id}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /distribution-requests/{id}:
    get:
      tags:
        - distribution-requests
      summary: Get distribution request
      operationId: DistributionRequestController_getDistributionRequest
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDistributionRequestOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DistributionRequestNotFoundErrorDto'
              examples:
                DISTRIBUTION_REQUEST_NOT_FOUND:
                  $ref: '#/components/schemas/DistributionRequestNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetDistributionRequestOutput:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the distribution request
        type:
          type: string
          description: entity type
        status:
          description: Status of the distribution request
          allOf:
            - $ref: '#/components/schemas/DistributionRequestStatus'
        brokerageFirmId:
          type: string
          description: Brokerage firm the request is attached to
        productId:
          type: string
          description: Product the request is for
        createdAt:
          format: date-time
          type: string
          description: Date the request was created
      required:
        - id
        - type
        - status
        - brokerageFirmId
        - productId
        - createdAt
    DistributionRequestNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DISTRIBUTION_REQUEST_NOT_FOUND
        message:
          type: string
          example: Distribution request {id} not found
        details:
          $ref: '#/components/schemas/DistributionRequestNotFoundDto'
      required:
        - code
        - message
        - details
    DistributionRequestStatus:
      type: string
      enum:
        - PENDING
        - WAITING_FOR_SIGNATURE
        - APPROVED
        - DENIED
        - REVOKED
      description: Status of the distribution request
    DistributionRequestNotFoundDto:
      type: object
      properties:
        distributionRequestId:
          type: string
      required:
        - distributionRequestId

````